> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.holidays.rest/holidays-rest-api/holidays/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.holidays.rest/_mcp/server. # holidays GET https://api.holidays.rest/v1/holidays This endpoint retrieves all bank and public holidays for a specific country and year. > 🎗️ The holidays endpoint supports the query parameters in various combinations. Each of these optional parameters can be chained together to filter the results flexibly. See the below combining multiple filters section for more details. > 🎗️ The majority of the query parameters accept multiple values in a comma-separated way. ## Examples - Filter out holidays for a specific type (e.g. national): `?country=DE&year=2024&type=national` - Filter out holidays for multiple types (e.g. local or religious): `?country=DE&year=2024&type=local,religious` - Filter out holidays for a specific religion: `?country=BA&year=2024&religion=2` - Filter out holidays for multiple religions: `?country=BA&year=2024&religion=1,2` - Filter out holidays for a specific region: `?country=BA&year=2024®ion=BIH` - Filter out holidays for multiple regions: `?country=BA&year=2024®ion=BIH,SRP` - Fetch localized holiday names in a specific language: `?country=AT&year=2024&lang=de` - Fetch localized holiday names in multiple languages: `?country=AT&year=2024&lang=de,en,tr` ## Combining Multiple Filters The holidays endpoint supports combining multiple filters to retrieve more complex queries. All the query string parameters that were listed above can be chained together to filter the results flexibly. For example to fetch "local" holidays for "Christianity" in "June" in "BIH" region of Bosnia and Herzegovina as "xml" and in "German" and "Japanese" languages, a query string would be as follows: ``` ?country=BA &year=2024 &month=6 &type=local ®ion=BIH &religion=2 &response=xml &lang=de,ja ``` ## Holiday Concepts Most of our customers only focus on government/bank holidays. In order to obtain these, your best option is to filter holidays using either `national` or `local` parameter. If any of these is `true`, it's very likely that government offices and banks will be closed in a given country. `religious` parameter is typically very useful to identify religious holidays, which in some countries, can be specific to certain religious groups. Unless a `religious` holiday has either `national` or `local` attribute also set to `true`, it will very likely be an optional holiday for certain religious groups, or no holiday at all. ## Religion codes | Code | Religion | | --- | --- | | 1 | Christianity | | 2 | Islam | | 3 | Buddhism | | 4 | Confucianism | | 5 | Hinduism | | 6 | Jainism | | 7 | Judaism | | 8 | Sikhism | | 9 | Yazidism | | 10 | Zoroastrianism | | 11 | Baha-i Faith | Reference: https://docs.holidays.rest/holidays-rest-api/holidays ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 OK - `list of V1HolidaysGetResponsesContentApplicationJsonSchemaItems` ## Errors ### 401 Unauthorized Error Unauthorized - `error` (string, required) ## Types ### V1HolidaysGetResponsesContentApplicationJsonSchemaItems - `country_code` (string, required) - `country_name` (string, required) - `date` (date, required) - `name` (V1HolidaysGetResponsesContentApplicationJsonSchemaItemsName, required) - `isNational` (boolean, required) - `isReligious` (boolean, required) - `isLocal` (boolean, required) - `isEstimate` (boolean, required) - `day` (V1HolidaysGetResponsesContentApplicationJsonSchemaItemsDay, required) - `religion` (string, required) - `regions` (list of any, required) ### V1HolidaysGetResponsesContentApplicationJsonSchemaItemsName - `de` (string, required) - `en` (string, required) - `tr` (string, required) ### V1HolidaysGetResponsesContentApplicationJsonSchemaItemsDay - `actual` (string, required) - `observed` (string, required) ## Examples **Response** ```json [ { "country_code": "DE", "country_name": "Germany", "date": "2026-01-01", "name": { "de": "Neujahr", "en": "New Year's Day", "tr": "Yılbaşı" }, "isNational": true, "isReligious": false, "isLocal": false, "isEstimate": false, "day": { "actual": "Thursday", "observed": "Thursday" }, "religion": "", "regions": [] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-01-06", "name": { "de": "Epiphanie", "en": "Epiphany", "tr": "Epifani" }, "isNational": false, "isReligious": true, "isLocal": true, "isEstimate": false, "day": { "actual": "Tuesday", "observed": "Tuesday" }, "religion": "Christianity", "regions": [ "BW", "BY", "ST" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-03-08", "name": { "de": "Internationaler Frauentag", "en": "International Women's Day", "tr": "Dünya Kadınlar Günü" }, "isNational": false, "isReligious": false, "isLocal": true, "isEstimate": false, "day": { "actual": "Sunday", "observed": "Sunday" }, "religion": "", "regions": [ "BE", "MV" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-04-03", "name": { "de": "Karfreitag", "en": "Good Friday", "tr": "Kutsal Cuma" }, "isNational": true, "isReligious": true, "isLocal": false, "isEstimate": false, "day": { "actual": "Friday", "observed": "Friday" }, "religion": "Christianity", "regions": [] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-04-05", "name": { "de": "Ostersonntag", "en": "Easter Sunday", "tr": "Paskalya Pazarı" }, "isNational": false, "isReligious": true, "isLocal": true, "isEstimate": false, "day": { "actual": "Sunday", "observed": "Sunday" }, "religion": "Christianity", "regions": [ "BB" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-04-06", "name": { "de": "Ostermontag", "en": "Easter Monday", "tr": "Paskalya Pazartesisi" }, "isNational": true, "isReligious": true, "isLocal": false, "isEstimate": false, "day": { "actual": "Monday", "observed": "Monday" }, "religion": "Christianity", "regions": [] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-05-01", "name": { "de": "Tag der Arbeit", "en": "Labour Day", "tr": "İşçi Bayramı" }, "isNational": true, "isReligious": false, "isLocal": false, "isEstimate": false, "day": { "actual": "Friday", "observed": "Friday" }, "religion": "", "regions": [] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-05-14", "name": { "de": "Christi Himmelfahrt", "en": "Ascension Day", "tr": "İsa'nın Göğe Yükselişi" }, "isNational": true, "isReligious": true, "isLocal": false, "isEstimate": false, "day": { "actual": "Thursday", "observed": "Thursday" }, "religion": "Christianity", "regions": [] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-05-24", "name": { "de": "Pfingstsonntag", "en": "Whit Sunday", "tr": "Beyaz Pazar" }, "isNational": false, "isReligious": true, "isLocal": true, "isEstimate": false, "day": { "actual": "Sunday", "observed": "Sunday" }, "religion": "Christianity", "regions": [ "BB" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-05-25", "name": { "de": "Pfingstmontag", "en": "Whit Monday", "tr": "Beyaz Pazartesi" }, "isNational": true, "isReligious": true, "isLocal": false, "isEstimate": false, "day": { "actual": "Monday", "observed": "Monday" }, "religion": "Christianity", "regions": [] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-06-04", "name": { "de": "Fronleichnam", "en": "Corpus Christi", "tr": "Katolik Yortusu" }, "isNational": false, "isReligious": true, "isLocal": true, "isEstimate": false, "day": { "actual": "Thursday", "observed": "Thursday" }, "religion": "Christianity", "regions": [ "BW", "BY", "HE", "NW", "RP", "SL" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-08-15", "name": { "de": "Mariä Himmelfahrt", "en": "Assumption Day", "tr": "Meryem'in Göğe Yükselişi" }, "isNational": false, "isReligious": true, "isLocal": true, "isEstimate": false, "day": { "actual": "Saturday", "observed": "Saturday" }, "religion": "Christianity", "regions": [ "BY", "SL" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-09-20", "name": { "de": "Weltkindertag", "en": "World Children's Day", "tr": "Dünya Çocuk Günü" }, "isNational": false, "isReligious": false, "isLocal": true, "isEstimate": false, "day": { "actual": "Sunday", "observed": "Sunday" }, "religion": "", "regions": [ "TH" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-10-03", "name": { "de": "Tag der Deutschen Einheit", "en": "German Unity Day", "tr": "Alman Birlik Günü" }, "isNational": true, "isReligious": false, "isLocal": false, "isEstimate": false, "day": { "actual": "Saturday", "observed": "Saturday" }, "religion": "", "regions": [] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-10-31", "name": { "de": "Reformationstag", "en": "Reformation Day", "tr": "Reformasyon Günü" }, "isNational": false, "isReligious": true, "isLocal": true, "isEstimate": false, "day": { "actual": "Saturday", "observed": "Saturday" }, "religion": "Christianity", "regions": [ "BB", "HB", "HH", "NI", "MV", "SN", "ST", "SH", "TH" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-11-01", "name": { "de": "Allerheiligen", "en": "All Saints' Day", "tr": "Azizler Günü" }, "isNational": false, "isReligious": true, "isLocal": true, "isEstimate": false, "day": { "actual": "Sunday", "observed": "Sunday" }, "religion": "Christianity", "regions": [ "BW", "BY", "NW", "RP", "SL" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-11-18", "name": { "de": "Buße und Gebetstag", "en": "Repentance and Prayer Day", "tr": "Dua ve Tövbe Günü" }, "isNational": false, "isReligious": true, "isLocal": true, "isEstimate": false, "day": { "actual": "Wednesday", "observed": "Wednesday" }, "religion": "Christianity", "regions": [ "SN" ] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-12-25", "name": { "de": "Weihnachtstag", "en": "Christmas Day", "tr": "Noel Günü" }, "isNational": true, "isReligious": true, "isLocal": false, "isEstimate": false, "day": { "actual": "Friday", "observed": "Friday" }, "religion": "Christianity", "regions": [] }, { "country_code": "DE", "country_name": "Germany", "date": "2026-12-26", "name": { "de": "Zweiter Weihnachtstag", "en": "2nd Day of Christmas", "tr": "Noel'in İkinci Günü" }, "isNational": true, "isReligious": true, "isLocal": false, "isEstimate": false, "day": { "actual": "Saturday", "observed": "Saturday" }, "religion": "Christianity", "regions": [] } ] ``` **SDK Code** ```python holidays_example import requests url = "https://api.holidays.rest/v1/holidays" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript holidays_example const url = 'https://api.holidays.rest/v1/holidays'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go holidays_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.holidays.rest/v1/holidays" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby holidays_example require 'uri' require 'net/http' url = URI("https://api.holidays.rest/v1/holidays") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java holidays_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.holidays.rest/v1/holidays") .header("Authorization", "Bearer ") .asString(); ``` ```php holidays_example request('GET', 'https://api.holidays.rest/v1/holidays', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp holidays_example using RestSharp; var client = new RestClient("https://api.holidays.rest/v1/holidays"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift holidays_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.holidays.rest/v1/holidays")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```